Bug 728506 - Review Request: rubygem-i18n_data - Country/language names and 2-letter-code pairs, in 85 languages
Summary: Review Request: rubygem-i18n_data - Country/language names and 2-letter-code ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bohuslav "Slavek" Kabrda
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 705510
TreeView+ depends on / blocked
 
Reported: 2011-08-05 11:50 UTC by Vít Ondruch
Modified: 2011-09-30 16:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-30 16:54:04 UTC
bkabrda: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Vít Ondruch 2011-08-05 11:50:28 UTC
Spec URL: http://people.redhat.com/vondruch/rubygem-i18n_data.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-i18n_data-0.2.7-1.fc17.src.rpm
Description: Country/language names and 2-letter-code pairs, in 85 languages

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3254084

Comment 1 Bohuslav "Slavek" Kabrda 2011-09-23 11:27:36 UTC
* I would consider moving README.markdown into the main package, as it contains
information about licensing, which I think should be present in the main
package.

* Moving VERSION file to doc subpackage results in error when trying to use the library (without doc subpackage installed):

require 'i18n_data'
Errno::ENOENT: No such file or directory - /usr/lib/ruby/gems/1.8/gems/i18n_data-0.2.7/lib/../VERSION
from /usr/lib/ruby/gems/1.8/gems/i18n_data-0.2.7/lib/i18n_data.rb:2:in `read'

(if you examine lib/i18_data.rb, you'll notice, that it tries to read the version from the VERSION file). So i recommend moving VERSION file into the main package.

* I'd rethink including Requires: rubygem(activesupport), as the library works with file data provider by default, so the user doesn't necessarily need activesupport, which is only required by live data provider. My own recommendation is to remove this require.

Comment 2 Vít Ondruch 2011-09-23 13:06:20 UTC
(In reply to comment #1)
> * I would consider moving README.markdown into the main package, as it contains
> information about licensing, which I think should be present in the main
> package.

DONE
 
> * Moving VERSION file to doc subpackage results in error when trying to use the
> library (without doc subpackage installed):
> 
> require 'i18n_data'
> Errno::ENOENT: No such file or directory -
> /usr/lib/ruby/gems/1.8/gems/i18n_data-0.2.7/lib/../VERSION
> from /usr/lib/ruby/gems/1.8/gems/i18n_data-0.2.7/lib/i18n_data.rb:2:in `read'
> 
> (if you examine lib/i18_data.rb, you'll notice, that it tries to read the
> version from the VERSION file). So i recommend moving VERSION file into the
> main package.

Good spot! Thank you.

> * I'd rethink including Requires: rubygem(activesupport), as the library works
> with file data provider by default, so the user doesn't necessarily need
> activesupport, which is only required by live data provider. My own
> recommendation is to remove this require.

You are right. Less requires is better.


Spec URL: http://people.redhat.com/vondruch/rubygem-i18n_data.spec
SRPM URL:
http://people.redhat.com/vondruch/rubygem-i18n_data-0.2.7-2.fcf17.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3372233

Comment 3 Bohuslav "Slavek" Kabrda 2011-09-26 05:39:38 UTC
Everything looks fine now, this package is APPROVED.

Comment 4 Vít Ondruch 2011-09-27 17:36:33 UTC
New Package SCM Request
=======================
Package Name: rubygem-i18n_data
Short Description: Country/language names and 2-letter-code pairs, in 85 languages
Owners: vondruch
Branches: 
InitialCC:

Comment 5 Gwyn Ciesla 2011-09-27 18:13:08 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.